Package: geb.content

## [Groovy] Class TemplateDerivedPageContent

- geb.content.TemplateDerivedPageContent

- All Implemented Interfaces and Traits:
    Navigator

      @SuppressWarnings(value: FieldName)
      class TemplateDerivedPageContent
      extends Object
      implements Navigator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Navigator` | `_navigator` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateDerivedPageContent(Browser browser, PageContentTemplate template, Navigator navigator, Object[] args)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `asBoolean()`
    `` | `Object` | `asType(Class type)`
    `` | `Navigator` | `click()`
    `` | `void` | `ensureWithinBounds(int min, int max)`
    `` | `boolean` | `equals(Object o)`
    `` | `Browser` | `getBrowser()`
    `` | `List<String>` | `getContentPath()`
    `` | `WebDriver` | `getDriver()`
    `` | `PageContentContainer` | `getRootContainer()`
    `` | `PageContentTemplateParams` | `getTemplateParams()`
    `` | `int` | `hashCode()`
    `` | `boolean` | `isPresent()`
    `` | `Object` | `methodMissing(String name, Object args)`
    `` | `Object` | `propertyMissing(String name)`
    `` | `Object` | `propertyMissing(String name, Object val)`
    `` | `void` | `require()`
    `` | `void` | `setEventListener(NavigatorEventListener listener)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### @Delegate(allNames: true)
      protected Navigator _navigator

  - ### Constructor Detail

    - #### TemplateDerivedPageContent(Browser browser, PageContentTemplate template, Navigator navigator, Object[] args)

  - ### Method Detail

    - #### boolean asBoolean()

    - #### Object asType(Class type)

    - #### Navigator click()

    - #### void ensureWithinBounds(int min, int max)

    - #### @Override
      boolean equals(Object o)

    - #### Browser getBrowser()

    - #### List<String> getContentPath()

    - #### WebDriver getDriver()

    - #### PageContentContainer getRootContainer()

    - #### PageContentTemplateParams getTemplateParams()

    - #### @Override
      int hashCode()

    - #### boolean isPresent()

    - #### Object methodMissing(String name, Object args)

    - #### Object propertyMissing(String name)

    - #### Object propertyMissing(String name, Object val)

    - #### void require()

    - #### @Override
      void setEventListener(NavigatorEventListener listener)

    - #### String toString()